__author__ = 'Kevin'

Difficulty = 1
MaxDifficulty = 1
MinDifficulty = 0
CustomDifficultyMazeSize = 1000

Player_MaxHealth = 100
Player_WalkingSpeed = 0.01
Player_RunningSpeed = 0.025

Tourist_NumberOfTourists = 50
Tourist_WalkingSpeed = 0.01

def GetMazeGeneratorSettingsForDifficulty(difficulty):

    if difficulty == 0:  # Easy
        return {
            "Width": 50,
            "Height": 50
        }
    if difficulty == 1:  # Medium
        return {
            "Width": 75,
            "Height": 75
        }
    if difficulty == 2:  # Hard
        return {
            "Width": 130,
            "Height": 130
        }
    if difficulty == 3:  # Extreme
        return {
            "Width": 200,
            "Height": 200
        }
    if difficulty == 4:  # Custom
        return {
            "Width": CustomDifficultyMazeSize,
            "Height": CustomDifficultyMazeSize
        }
